package org.xbib.interlibrary.action.resolve;

public class DefaultResolveRequester implements ResolveRequester {

    private final String isil;

    public DefaultResolveRequester(String isil) {
        this.isil = isil;
    }

    @Override
    public String getISIL() {
        return isil;
    }

    @Override
    public String getUserGroup() {
        return null;
    }

    @Override
    public int hashCode() {
        return isil.hashCode();
    }

    @Override
    public boolean equals(Object object) {
        return object instanceof DefaultResolveRequester && hashCode() == object.hashCode();
    }

    @Override
    public String toString() {
        return "[" + isil + "]";
    }
}
