package org.xbib.interlibrary.action.resolve;

import org.xbib.interlibrary.api.action.AbstractResponse;

public class ResolveServiceResponse extends AbstractResponse<ResolveRequest> {

    final ResolveServiceResponseBuilder builder;

    public ResolveServiceResponse(ResolveRequest resolveRequest, ResolveServiceResponseBuilder builder) {
        super(resolveRequest, builder.getStatus());
        this.builder = builder;
    }

    public static ResolveServiceResponseBuilder builder() {
        return new ResolveServiceResponseBuilder();
    }
}
